HTMLTableSectionElement (Common DOM API )
Keywords: org.w3c.dom.html.HTMLTableSectionElement interface
Date: 2018-07-01

compact2, compact3
org.w3c.dom.html

## Interface HTMLTableSectionElement

- All Superinterfaces:
    Element, HTMLElement, Node

      public interface HTMLTableSectionElement
      extends HTMLElement

  The `THEAD` , `TFOOT` , and `TBODY` elements.

  See also the Document Object Model (DOM) Level 2 Specification.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteRow(int index)` Delete a row from this section.
    `String` | `getAlign()` Horizontal alignment of data in cells.
    `String` | `getCh()` Alignment character for cells in a column.
    `String` | `getChOff()` Offset of alignment character.
    `HTMLCollection` | `getRows()` The collection of rows in this table section.
    `String` | `getVAlign()` Vertical alignment of data in cells.
    `HTMLElement` | `insertRow(int index)` Insert a row into this section.
    `void` | `setAlign(String align)`
    `void` | `setCh(String ch)`
    `void` | `setChOff(String chOff)`
    `void` | `setVAlign(String vAlign)`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getAlign

          String getAlign()

      Horizontal alignment of data in cells. See the `align` attribute for HTMLTheadElement for details.

    - #### setAlign

          void setAlign(String align)

    - #### getCh

          String getCh()

      Alignment character for cells in a column. See the char attribute definition in HTML 4.0.

    - #### setCh

          void setCh(String ch)

    - #### getChOff

          String getChOff()

      Offset of alignment character. See the charoff attribute definition in HTML 4.0.

    - #### setChOff

          void setChOff(String chOff)

    - #### getVAlign

          String getVAlign()

      Vertical alignment of data in cells. See the `valign` attribute for HTMLTheadElement for details.

    - #### setVAlign

          void setVAlign(String vAlign)

    - #### getRows

          HTMLCollection getRows()

      The collection of rows in this table section.

    - #### insertRow

          HTMLElement insertRow(int index)
                         throws DOMException

      Insert a row into this section. The new row is inserted immediately before the current `index` th row in this section. If `index` is equal to the number of rows in this section, the new row is appended.
      Parameters:
        `index` - The row number where to insert a new row. This index starts from 0 and is relative only to the rows contained inside this section, not all the rows in the table.
      Returns:
        The newly created row.
      Throws:
        `DOMException` - INDEX_SIZE_ERR: Raised if the specified index is greater than the number of rows of if the index is neagative.

    - #### deleteRow

          void deleteRow(int index)
                  throws DOMException

      Delete a row from this section.
      Parameters:
        `index` - The index of the row to be deleted. This index starts from 0 and is relative only to the rows contained inside this section, not all the rows in the table.
      Throws:
        `DOMException` - INDEX_SIZE_ERR: Raised if the specified index is greater than or equal to the number of rows or if the index is negative.

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 2005, 2018, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.